///////////////////////////////////////////////////////////////////////////////
//Design and implementation by Medicineman Media Solutions.                  //
//Info at www.medicineman.com                                                //
///////////////////////////////////////////////////////////////////////////////

function CTicker(url, left, top, width, height)
{

	//data
	this.layer1 = new Layer(width);
	this.layer1.left = left;
	this.layer1.top = top;
	this.layer1.clip.width = width;
	this.layer1.clip.height = height


	this.top = top;
	this.left = left;
	this.height = height;
	this.width = width;
	
	
	this.increment = 10;
	this.intervalID = 0;


	//methods
	this.scroll = CTicker_Scroll;
	this.start = CTicker_Start;
	this.stop = CTicker_Stop;


	//init	
	//note:  may run into serialization problems here
	this.layer1.src = url;
	this.layer1.visibility = "inherit";


}

function CTicker_Start()
{
	this.intervalID = setInterval(mapToObjectMethod(this, "scroll"),75);
}

function CTicker_Stop()
{
	clearInterval(this.intervalID);
}

function CTicker_Scroll()
{	
	if (this.layer1.left > (-1 * this.width))
	{ 
		this.layer1.left -= this.increment;
	    //this.layer.clip.left = 0;
	    //this.layer.clip.width += this.increment;
	} 
	else 
	{
		this.layer1.left = this.width
		//this.layer.clip.left = 0;
		//this.layer.clip.width = this.width;
    }


}